Bug 21615 - "Stock rotation" is at the wrong place in the Tools left side menu
Summary: "Stock rotation" is at the wrong place in the Tools left side menu
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Martin Renvoize
QA Contact: Marcel de Rooy
URL:
Keywords: Academy
Depends on: 11897
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-19 02:14 UTC by Caroline Cyr La Rose
Modified: 2018-12-07 21:30 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21615: Move stock rotation in the tools menu (1.63 KB, patch)
2018-11-19 13:09 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21615: Move stock rotation in the tools menu (1.70 KB, patch)
2018-11-19 22:49 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 21615: Move stock rotation in the tools menu (1.75 KB, patch)
2018-11-20 06:28 UTC, Andreas Roussos
Details | Diff | Splinter Review
Bug 21615: Move stock rotation in the tools menu (1.84 KB, patch)
2018-11-20 14:50 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2018-10-19 02:14:44 UTC
I noticed "Stock rotation" is in the "Patrons and circulation" section of the left-hand side menu when we are on the stock rotation page.

To reproduce:

1) Activate the stock rotation module in system preferences
2) Go to Tools
3) Notice the "Stock rotation" link is in the "Catalog" section 
4) Click on "Stock rotation"
5) Notice the "Stock rotation" link is in the "Patrons and circulation" section in the left-hand side menu
Comment 1 Martin Renvoize 2018-11-19 13:09:49 UTC
Created attachment 82497 [details] [review]
Bug 21615: Move stock rotation in the tools menu

Mentored-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 2 Caroline Cyr La Rose 2018-11-19 22:49:42 UTC
Created attachment 82525 [details] [review]
Bug 21615: Move stock rotation in the tools menu

Mentored-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Comment 3 Andreas Roussos 2018-11-20 06:28:41 UTC
Created attachment 82527 [details] [review]
Bug 21615: Move stock rotation in the tools menu

Mentored-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Signed-off-by: Andreas Roussos <arouss1980@gmail.com>
Comment 4 Marcel de Rooy 2018-11-20 14:50:59 UTC
Created attachment 82549 [details] [review]
Bug 21615: Move stock rotation in the tools menu

Mentored-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Signed-off-by: Andreas Roussos <arouss1980@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2018-11-20 14:51:30 UTC
@RM: String patch that only moves a string not changes it. Should not affect translating strings.
Comment 6 Nick Clemens 2018-11-21 11:35:30 UTC
Awesome work all!

Pushed to master for 18.11
Comment 7 Jesse Maseto 2018-12-07 21:30:27 UTC
Will not be back ported to 18.05.